﻿Public Class DemoViewModel
    Inherits ViewModelBase




    Private _testProperty As String
    Public Property TestProperty As String
        Get
            Return _testProperty
        End Get
        Set(ByVal value As String)
            _testProperty = value
            RaisePropertyChanged()
        End Set
    End Property


    Private _testCommand As ICommand
    Public ReadOnly Property TestCommand As ICommand
        Get
            If _testCommand Is Nothing Then _
                _testCommand = New RelayCommand(AddressOf TestCommand_Execute)
            Return _testCommand
        End Get
    End Property

    Private Sub TestCommand_Execute(obj As Object)
        MessageBox.Show($"Du hast '{TestProperty}' eingegeben. ;-)")
    End Sub
End Class
